Loading...
Searching...
No Matches
L4::Ipc_svr Namespace Reference
The L4Re IPC Framework » Server-Side IPC framework

Helper classes for L4::Server instantiation. More...

## Data Structures

class | Server_iface
| Interface for server-loop related functions. More...
struct | Ignore_errors
| Mix in for LOOP_HOOKS to ignore IPC errors. More...
struct | Default_timeout
| Mix in for LOOP_HOOKS to use a 0 send and a infinite receive timeout. More...
struct | Compound_reply
| Mix in for LOOP_HOOKS to always use compound reply and wait. More...
struct | Default_setup_wait
| Mix in for LOOP_HOOKS for setup_wait no op. More...
struct | Direct_dispatch
| Direct dispatch helper, for forwarding dispatch calls to a registry R. More...
struct | Direct_dispatch< R * >
| Direct dispatch helper, for forwarding dispatch calls via a pointer to a registry R. More...
struct | Exc_dispatch
| Dispatch helper wrapping try {} catch {} around the dispatch call. More...
struct | Dbg_dispatch
| Dispatch helper that, in addition to what Exc_dispatch does, prints exception messages. More...
class | Br_manager_no_buffers
| Empty implementation of Server_iface. More...
struct | Default_loop_hooks
| Default LOOP_HOOKS. More...
class | Timeout
| Callback interface for Timeout_queue. More...
class | Timeout_queue
| Timeout queue to be used in l4re server loop. More...
class | Timeout_queue_hooks
| Loop hooks mixin for integrating a timeout queue into the server loop. More...

## Enumerations

enum | Reply_mode { Reply_compound , Reply_separate }
| Reply mode for server loop. More...

## Detailed Description

Helper classes for L4::Server instantiation.